### Function Macro

# GObject TYPE_CHECK_VALUE

since: 2.0

#### Declaration

    #define G_TYPE_CHECK_VALUE (
      value
    )

#### Description

Checks if `value` has been initialized to hold values of a value type.

This macro should only be used in type implementations.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue`.